<Type Name="CodeCompileUnit" FullName="System.CodeDom.CodeCompileUnit">
  <TypeSignature Language="C#" Value="public class CodeCompileUnit : System.CodeDom.CodeObject" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>This is a container for the CodeDOM code graph. It is the object that can be compiled using a CodeDOM compiler.</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.CodeDom.CodeObject</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ClassInterfaceAttribute</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CodeCompileUnit ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'CodeCompileUnit'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Namespaces">
      <MemberSignature Language="C#" Value="public CodeNamespaceCollection Namespaces { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.CodeNamespaceCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>The Collection of Namespaces that are to be compiled in the Assembly created from this <see cref="T:System.CodeDOM.CodeCompileUnit" />.</summary>
        <returns>To be added: an object of type 'CodeNamespaceCollection'</returns>
        <remarks>
          <example>
This snippet demonstrates the use of the Namespaces property.
  <code lang="C#">
		// Create namespace
		CodeNamespace demoNs= new CodeNamespace("Mono.CodeDomDemo");
		// Add stuff to the namespace
		demoNs.Imports.Add(new CodeNamespaceImport("System.Data"));
...		// Other statements go here
		CodeCompileUnit compileUnit = new CodeCompileUnit();
		compileUnit.Namespaces.Add(demoNs);
		compileUnit.ReferencedAssemblies.Add("System.Data");
  </code></example>
        </remarks>
      </Docs>
    </Member>
    <Member MemberName="ReferencedAssemblies">
      <MemberSignature Language="C#" Value="public Collections.Specialized.StringCollection ReferencedAssemblies { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.Specialized.StringCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>The set of assemblies required in order to compile this <see cref="T:System.CodeDOM.CodeCompileUnit" />.</summary>
        <returns>
          <example>
            <code lang="C#">
compileUnit.ReferencedAssemblies.Add("System.Data");
  </code>
Adds a reference to the System.Data assembly for the compile unit.
</example>
        </returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AssemblyCustomAttributes">
      <MemberSignature Language="C#" Value="public CodeAttributeDeclarationCollection AssemblyCustomAttributes { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.CodeAttributeDeclarationCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'CodeAttributeDeclarationCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>